NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_querygetall(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_querygetall - Get multiple query values from the HTTP request

## Table Of Contents

## Synopsis

- ns_querygetall key ?def_result?

## Description

This command returns all values whose key is key. If there are none, the default result def_result is returned, or an empty string is returned if def_result is not specified. This function is useful for checkboxes.

NOTES Note that despite it's name, ns_querygetall works on POST form data as well as query string data.

## COMMANDS

ns_querygetall key ?def_result?

## See Also

nsd

## Keywords

ns_queryexists, ns_queryget